import { setFileScope, endFileScope } from "@vanilla-extract/css/fileScope";
import { style } from "@vanilla-extract/css";
setFileScope("src/lib/components/Alert/Alert.css.ts", "braid-design-system");
const closeButton = style({}, "closeButton");
const closeButtonFocus = style({
  selectors: {
    [`${closeButton}:focus &`]: {
      opacity: 1
    }
  }
}, "closeButtonFocus");
const closeButtonHover = style({
  selectors: {
    [`${closeButton}:focus &, ${closeButton}:hover &`]: {
      opacity: 1
    }
  }
}, "closeButtonHover");
endFileScope();
export {
  closeButton,
  closeButtonFocus,
  closeButtonHover
};
