import { setFileScope, endFileScope } from "@vanilla-extract/css/fileScope";
import { calc } from "@vanilla-extract/css-utils";
import { style } from "@vanilla-extract/css";
import { vars } from "../../themes/vars.css.mjs";
setFileScope("src/lib/components/Textarea/Textarea.css.ts", "braid-design-system");
const field = style({
  resize: "vertical",
  background: "transparent",
  minHeight: calc.multiply(vars.grid, 15)
}, "field");
const highlights = style({
  color: "transparent !important",
  wordBreak: "break-word",
  whiteSpace: "pre-wrap",
  ":after": {
    content: '"\\A"'
  }
}, "highlights");
endFileScope();
export {
  field,
  highlights
};
