"use strict";
const jsxRuntime = require("react/jsx-runtime");
const styles_lib_components_Box_Box_cjs = require("../../Box/Box.cjs");
const styles_lib_components_private_AvoidWidowIcon_AvoidWidowIcon_css_cjs = require("./AvoidWidowIcon.css.cjs");
const AvoidWidowIcon = ({
  children,
  iconPosition,
  space = "xxsmall",
  className
}) => /* @__PURE__ */ jsxRuntime.jsxs(
  styles_lib_components_Box_Box_cjs.Box,
  {
    component: "span",
    paddingRight: iconPosition === "leading" ? space : void 0,
    paddingLeft: iconPosition === "trailing" ? space : void 0,
    className: [styles_lib_components_private_AvoidWidowIcon_AvoidWidowIcon_css_cjs.nowrap, className],
    "aria-hidden": true,
    children: [
      iconPosition === "leading" ? children : void 0,
      "⁠",
      iconPosition === "trailing" ? children : void 0
    ]
  }
);
exports.AvoidWidowIcon = AvoidWidowIcon;
