import { setFileScope, endFileScope } from "@vanilla-extract/css/fileScope";
import { style } from "@vanilla-extract/css";
import { hideFocusRingsDataAttribute } from "./hideFocusRingsDataAttribute.mjs";
setFileScope("src/lib/components/private/hideFocusRings/hideFocusRings.css.ts", "braid-design-system");
const hideFocusRingsClassName = style({
  selectors: {
    [`[${hideFocusRingsDataAttribute}] &`]: {
      opacity: "0 !important"
    }
  }
}, "hideFocusRingsClassName");
endFileScope();
export {
  hideFocusRingsClassName
};
