"use strict";
const jsxRuntime = require("react/jsx-runtime");
const styles_lib_components_Box_Box_cjs = require("../../Box/Box.cjs");
const styles_lib_hooks_useIcon_index_cjs = require("../../../hooks/useIcon/index.cjs");
const styles_lib_components_icons_IconChevron_IconChevron_css_cjs = require("./IconChevron.css.cjs");
const IconChevronSvg = ({ title, titleId, ...props }) => /* @__PURE__ */ jsxRuntime.jsxs(
  "svg",
  {
    xmlns: "http://www.w3.org/2000/svg",
    viewBox: "0 0 24 24",
    xmlSpace: "preserve",
    focusable: "false",
    fill: "currentColor",
    width: 16,
    height: 16,
    "aria-labelledby": titleId,
    ...props,
    children: [
      title ? /* @__PURE__ */ jsxRuntime.jsx("title", { id: titleId, children: title }) : null,
      /* @__PURE__ */ jsxRuntime.jsx("path", { d: "M20.7 7.3c-.4-.4-1-.4-1.4 0L12 14.6 4.7 7.3c-.4-.4-1-.4-1.4 0s-.4 1 0 1.4l8 8c.2.2.5.3.7.3s.5-.1.7-.3l8-8c.4-.4.4-1 0-1.4z" })
    ]
  }
);
const IconChevron = ({
  direction = "down",
  ...props
}) => {
  const { className, ...iconProps } = styles_lib_hooks_useIcon_index_cjs.useIcon(props);
  return /* @__PURE__ */ jsxRuntime.jsx(
    styles_lib_components_Box_Box_cjs.Box,
    {
      component: IconChevronSvg,
      className: [
        styles_lib_components_icons_IconChevron_IconChevron_css_cjs.root,
        className,
        {
          [styles_lib_components_icons_IconChevron_IconChevron_css_cjs.up]: direction === "up",
          [styles_lib_components_icons_IconChevron_IconChevron_css_cjs.left]: direction === "left",
          [styles_lib_components_icons_IconChevron_IconChevron_css_cjs.right]: direction === "right"
        }
      ],
      ...iconProps
    }
  );
};
exports.IconChevron = IconChevron;
