import { setFileScope, endFileScope } from "@vanilla-extract/css/fileScope";
import { createThemeContract } from "@vanilla-extract/css";
import { makeVanillaTheme } from "./makeVanillaTheme.mjs";
import { tokens } from "./docs/tokens.mjs";
setFileScope("src/lib/themes/vars.css.ts", "braid-design-system");
const vars = createThemeContract(makeVanillaTheme(tokens));
endFileScope();
export {
  vars
};
